FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » General » General Chit Chat » Upgraded to 2.6.12
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
icon14.gif  Upgraded to 2.6.12 [message #23647] Thu, 24 March 2005 20:26 Go to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

This was the smoothest upgrade I have done yet! From what I see my forum is up and running fine. I have noticed that each time I run an upgrade script I get to the part of the script where it is "Executing Consistency Checker" and the consistency checker fails to appear. I click on Must click here and get an Internal 500 Server Error. It seems there is some minor permission issue that pops up between my hosting service and the script. My forum is running fine, the only real problems I see is I can't get in to the Admin CP, all attempts get me an Internal 500 Server Error.

fixed! For some reason when I do an upgrade the permissions for my adm dir gets set to 777 s/b 755

Also in 7 out of the 12 categories new topics that are created result in "Invalid STMP return code: " the topics get created but when my users create new topics they get a blank screen with "Invalid STMP return code: " This results in a lot of repeated posting. Any ideas? Maybe I should post as a bug eh?

thanks


Got Torque?

[Updated on: Fri, 25 March 2005 11:48]

Report message to a moderator

Re: Upgraded to 2.6.12 [message #23663 is a reply to message #23647] Fri, 25 March 2005 14:27 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Do you have syncronization back to NNTP enabled?

FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23671 is a reply to message #23663] Fri, 25 March 2005 15:47 Go to previous messageGo to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

Looking in my Gobal Config pannel the only thing I see with NNTP is

"Obfuscate e-mails in NNTP posts:
Whether or not to obfuscate user e-mails when sending e-mails from FUDforum to newsgroups."

This set to "NO"

Doesn't seem like it's what you are asking about though...


Looking in my Newsgroup Manager I see:
"Syncronize Forum Posts to Newsgroup:
If enabled, posts made by forum members inside the forum will be sent to the newsgroup by the forum. On the newsgroup the posts would appear on behalf of the user who has made the post. "

This is set to "NO" also....


Got Torque?

[Updated on: Fri, 25 March 2005 16:21]

Report message to a moderator

Re: Upgraded to 2.6.12 [message #23697 is a reply to message #23671] Sat, 26 March 2005 10:24 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
It looks like the forum is trying to sync messages back to NNTP, otherwise nntp errors would not appear on user posts.

FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23721 is a reply to message #23697] Sun, 27 March 2005 10:57 Go to previous messageGo to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

This behavior stated after I upgraded to 12.10.RC3. I was hoping to see it get fixed with the last upgrade. My forum is about as "stock fud" as they come. I haven't changed any of the NNTP settings. I don't understand why I get the error in some categories but not others. Do you think I should reload the whole thing?

Got Torque?
Re: Upgraded to 2.6.12 [message #23725 is a reply to message #23721] Sun, 27 March 2005 11:16 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Hm... does the error stop if you disable your nntp import rules?

FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23731 is a reply to message #23725] Sun, 27 March 2005 12:34 Go to previous messageGo to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

Looked all through my Admin CP and don't see any setting to disable nntp import rules..

Got Torque?
Re: Upgraded to 2.6.12 [message #23737 is a reply to message #23731] Sun, 27 March 2005 14:37 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Just remove the NNTP rules.

FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23756 is a reply to message #23737] Mon, 28 March 2005 09:45 Go to previous messageGo to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

I must be blind as well as ignorant. Are you saying to remove a file that would contain the NNTP rules? This wouldn't be done via the Admin CP but through a file manager I'm sure. Looking at the files via a file manager I see the (a) nntp.php file.

There is a readMe in the same Dir. that states:

Readme File:
In order to use the maillist and/or nntp utility you need to make sure
the 1st line in the file points to the path of the PHP
executable on your system. By default this line is set to
/usr/local/bin/php, if you php binary is else where modify
the #!/usr/local/bin/php with the full path of your php binary.

The first line on my nntp.php file in this same Dir is "#!/usr/local/bin/php -q"

as far as pointing it to the "path of the PHP executable on your system." I wouldn't know where to look.

Am I even on the right track.

sorry to be such a php green horn....


Got Torque?
Re: Upgraded to 2.6.12 [message #23758 is a reply to message #23756] Mon, 28 March 2005 10:29 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
No & no.

Inside the forum's NNTP manager you have rules that govern over the importing of the nntp messages. I was suggesting that you REMOVE those rules and see if that makes the problem go away.


FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23760 is a reply to message #23758] Mon, 28 March 2005 11:23 Go to previous messageGo to next message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

Ok I see where you are taking about now, down at the bottom below the "Add Newsgroup Rule" button.

I have no rules there, here is a snip

Newsgroup Rule Forum Exec Line Action

***Notes***
Exec Line parameter in the table above shows the execution line that you will need to place in your cron. It is recommended you run the script on a small interval, we recommend a 2-3 minute interval.
Cron example:

*/2 * * * * /home/forum/forum/scripts/nntp.php 1



Got Torque?
Re: Upgraded to 2.6.12 [message #23766 is a reply to message #23760] Mon, 28 March 2005 11:38 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
So, you have no NNTP import rules and still getting errors on post indicating that the forum tries to syncronize the post to NNTP and is failing?

FUDforum Core Developer
Re: Upgraded to 2.6.12 [message #23770 is a reply to message #23766] Mon, 28 March 2005 11:55 Go to previous message
scoutzilla is currently offline  scoutzilla   United States
Messages: 163
Registered: April 2002
Location: Southern Califorina
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

Looks like that is the case. You can see the error on my test track

It pops up when posting a new topic...


Got Torque?

[Updated on: Mon, 28 March 2005 11:56]

Report message to a moderator

Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Just wanted to say
Next Topic: POLL: HOW MUCH DID U GET BACK ON TAXES?
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sun Dec 17 12:49:16 EST 2017

Total time taken to generate the page: 0.00888 seconds